Permalink
Browse files

Upgrade Ruby to 2.1.0

  • Loading branch information...
1 parent f899ebf commit aae0a214162af7b4cdfd44c8c1043ec3ecb7d7d6 @croaky croaky committed Dec 28, 2013
Showing with 25 additions and 15 deletions.
  1. +7 −3 README.md
  2. +6 −4 common-components/ruby-environment
  3. +6 −4 linux
  4. +6 −4 mac
View
10 README.md
@@ -10,11 +10,15 @@ Requirements
1) Install a C compiler.
-For Snow Leopard (10.6): use [OS X GCC Installer](https://github.com/kennethreitz/osx-gcc-installer/)
+For Snow Leopard (10.6): use [OS X GCC
+Installer](https://github.com/kennethreitz/osx-gcc-installer/).
-For Lion (10.7) or Mountain Lion (10.8): use [Command Line Tools for XCode](https://developer.apple.com/downloads/index.action)
+For Lion (10.7) or Mountain Lion (10.8): use [Command Line Tools for
+XCode](https://developer.apple.com/downloads/index.action).
-For Mavericks (10.9): run `sudo xcodebuild -license` and follow the instructions to accept the XCode agreement. Then run `xcode-select --install` in your terminal and then click "Install".
+For Mavericks (10.9): run `sudo xcodebuild -license` and follow the instructions
+to accept the XCode agreement. Then run `xcode-select --install` in your
+terminal and then click "Install".
2) Set zsh as your login shell:
View
10 common-components/ruby-environment
@@ -1,8 +1,10 @@
-fancy_echo "Installing Ruby 2.0.0-p353 ..."
- rbenv install 2.0.0-p353
+RUBY_VERSION="2.1.0"
-fancy_echo "Setting Ruby 2.0.0-p353 as global default Ruby ..."
- rbenv global 2.0.0-p353
+fancy_echo "Installing Ruby $RUBY_VERSION ..."
+ rbenv install $RUBY_VERSION
+
+fancy_echo "Setting $RUBY_VERSION as global default Ruby ..."
+ rbenv global $RUBY_VERSION
rbenv rehash
fancy_echo "Updating to latest Rubygems version ..."
View
10 linux
@@ -105,11 +105,13 @@ fancy_echo "Installing ruby-build, to install Rubies ..."
git clone git://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build
### end linux-components/rbenv
-fancy_echo "Installing Ruby 2.0.0-p353 ..."
- rbenv install 2.0.0-p353
+RUBY_VERSION="2.1.0"
-fancy_echo "Setting Ruby 2.0.0-p353 as global default Ruby ..."
- rbenv global 2.0.0-p353
+fancy_echo "Installing Ruby $RUBY_VERSION ..."
+ rbenv install $RUBY_VERSION
+
+fancy_echo "Setting $RUBY_VERSION as global default Ruby ..."
+ rbenv global $RUBY_VERSION
rbenv rehash
fancy_echo "Updating to latest Rubygems version ..."
View
10 mac
@@ -111,11 +111,13 @@ fancy_echo "Upgrading and linking OpenSSL ..."
export CC=gcc-4.2
### end mac-components/compiler-and-libraries
-fancy_echo "Installing Ruby 2.0.0-p353 ..."
- rbenv install 2.0.0-p353
+RUBY_VERSION="2.1.0"
-fancy_echo "Setting Ruby 2.0.0-p353 as global default Ruby ..."
- rbenv global 2.0.0-p353
+fancy_echo "Installing Ruby $RUBY_VERSION ..."
+ rbenv install $RUBY_VERSION
+
+fancy_echo "Setting $RUBY_VERSION as global default Ruby ..."
+ rbenv global $RUBY_VERSION
rbenv rehash
fancy_echo "Updating to latest Rubygems version ..."

0 comments on commit aae0a21

Please sign in to comment.